condenser_api.get_account_history
Purpose
Restituisce la cronologia dell’account (account history) — tutte le operazioni di un account dato. Parametri: account:string; start:int. ad esempio: -1 per la cronologia inversa o qualsiasi numero positivo; limit:int fino a 10000
account (string) | start (int) | limit (int) | |
|---|---|---|---|
"steemit" | 1000 | 1000 | Interroga l’account denominato steemit partendo dall’elemento più recente nella cronologia, fino a 1.000 risultati. |
"alice" | -1 | 10000 | Interroga l’account denominato alice partendo dall’elemento più vecchio nella cronologia, fino a 10.000 risultati. |
Vedere anche: account_history_api.get_account_history, Paginated API Methods
Parameters
PARAMETERS
json
[
"",
0,
1000
]Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_history",
"params": [
"steemit",
1000,
1000
],
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_history",
"params": [
"steemit",
-1,
10000
],
"id": 1
}'